Package org.springframework.http.server.reactive

# Class JettyHttpHandlerAdapter

java.lang.Object
org.springframework.http.server.reactive.ServletHttpHandlerAdapter
org.springframework.http.server.reactive.JettyHttpHandlerAdapter

All Implemented Interfaces:
  `Servlet`

public class JettyHttpHandlerAdapter extends ServletHttpHandlerAdapter
`ServletHttpHandlerAdapter` extension that uses Jetty APIs for writing to the response with `ByteBuffer`.

Since:
  5.0
Author:
  Violeta Georgieva, Brian Clozel, Juergen Hoeller
See Also:
  - `AbstractReactiveWebInitializer`

## Constructor Summary

Constructors
Constructor
Description
`JettyHttpHandlerAdapter(HttpHandler httpHandler)`

## Method Summary

Modifier and Type
Method
Description
`protected org.springframework.http.server.reactive.ServletServerHttpResponse`
`createResponse(HttpServletResponse response, AsyncContext context, org.springframework.http.server.reactive.ServletServerHttpRequest request)`

### Methods inherited from class org.springframework.http.server.reactive.ServletHttpHandlerAdapter

`createRequest, destroy, getBufferSize, getDataBufferFactory, getServletConfig, getServletInfo, getServletPath, init, service, setBufferSize, setDataBufferFactory`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JettyHttpHandlerAdapter

public JettyHttpHandlerAdapter(HttpHandler httpHandler)

## Method Details

### createResponse

protected org.springframework.http.server.reactive.ServletServerHttpResponse createResponse(HttpServletResponse response, AsyncContext context, org.springframework.http.server.reactive.ServletServerHttpRequest request) throws IOException

Overrides:
  `createResponse` in class `ServletHttpHandlerAdapter`
Throws:
  `IOException`